# Created by pyp2rpm-1.0.1
%global pypi_name stsci.stimage
%define version 0.2

Name:           python-stsci-stimage
Version:        %{version}
Release:        %mkrel 3
Group:          Sciences/Astronomy
Summary:        Various image processing functions

License:        BSD
URL:            http://www.stsci.edu/resources/software_hardware/stsci_python
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires: python-sphinx
BuildRequires: python-stsci-sphinxext


Obsoletes: python-stsci <= 2.13-4

%description
False


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

# generate html docs 
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc html LICENSE
%{python_sitearch}/stsci/stimage
%{python_sitearch}/%{pypi_name}-%{version}-py?.?-*.pth
%{python_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.2-3.mga4
+ Revision: 544355
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2-2.mga4
+ Revision: 499503
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 joequant <joequant> 0.2-1.mga4
+ Revision: 477738
- add sphinxext
- imported package python-stsci-stimage

